<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>  
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta name="description" content="altiMail to skuteczny i nowoczesny system do zarządzania kampaniami e-mail marketingowymi." />
		<meta name="keywords" content="altiMail, mailing, mail, newsletter, e-mail marketing, kampania mailingowa, wysyłka mailingu" />   
		<title>AltiMail &bull; Test wymagań serwera</title>
		<style type="text/css">
		img { border:0; outline: 0; }
		body { margin:0; background:#fff no-repeat; color:#000; font:normal 12px Arial, Tahoma, Verdana, Sans-serif; text-align:left; }
		#topBg { background:#f8f7f2; width:100%; }
		#top { width:960px; height:90px; margin:0 auto; padding:0 10px; background:url('http://dev.altinet.info/altimail-www/img/bgTop.jpg') 10px 0 no-repeat; position:relative; }
		#logo { margin: 15px 0 0 32px; width: 202px; height: 71px; float: left; }		
		#logo a { display: block; width: 202px; height: 71px; text-indent: -9999px; background: url('http://dev.altinet.info/altimail-www/img/altimail-logo.png') no-repeat; }	
		#logo a:hover { background-position: 0 -71px; }	
		#logo a:active { background-position: 0 0; }
		
		#wrapper { width:100%; background:#fcfbf9 url('http://dev.altinet.info/altimail-www/img/wrapperBg.jpg') 0 0 repeat-x; overflow:hidden; border-bottom: 1px solid #f0efea; }
		#container { width:960px; margin:0 auto; overflow:hidden; background: url('http://dev.altinet.info/altimail-www/img/containerBg.jpg') 0 0 no-repeat; padding:70px 0; }
		
		.left { float:left; }
		.right { float:right; }
		.overflow { overflow:hidden; }
		.beige { color:#989b8f !important; }
		.beigeDark { color:#5e6156 !important; }
		.centerText { text-align:center; }
		#bottomBg { overflow:hidden; background:#f8f7f2; width:100%; margin-top:90px; }
		#footerMenu { width:960px; overflow:hidden; margin:0 auto; height:30px; }
		#footerMenu div.left, #footerMenu div.right { font:normal 11px/30px Arial, Tahoma, Verdana, Sans-serif; }
		#footerMenu div.left { background: url('http://dev.altinet.info/altimail-www/img/altilog.png') left bottom no-repeat; padding-left: 38px; }
		.holdF { margin-right:10px; float:left; }
		.sepFooterMenu { background:url('http://dev.altinet.info/altimail-www/img/sepFooterMenu.jpg') 100% 50% no-repeat; width:3px; height:3px; display:block; float:left; margin:13px 10px 0 0; }
		#footerMenu .right ul { list-style:none; margin:0; padding:0; }
		#footerMenu .last { padding: 0 0 0 3px !important; }
		#footerMenu .right ul li { display:block; float:left; }
		#footerMenu .right ul li a { color:#484b41; padding:0; text-decoration:none; display:block; }
		#footerMenu  .right ul li a:hover { color:#91938c; }
		#footerMenu a.agency { text-decoration:none; color:#314851; font-weight:bold; }
		#footerMenu a.mapLink { text-decoration:underline; color:#314851; }
		#footerMenu a:hover.mapLink { text-decoration:underline; color:#aebfd0; }
		#footerMenu a:hover.mapLink span { color:#314851; }
		#footerHolder { width:100%; overflow:hidden; border-top:1px solid #e9e9e2; background: #fff; }
		#footerHolder div.left { background: url('http://dev.altinet.info/altimail-www/img/altilog-bottom.png') left top no-repeat; padding-left: 39px; }
		#footer { width:960px; overflow:hidden; margin:0 auto 30px; height:35px; }
		#footer div.left, #footer div.right { font:normal 11px/35px Arial, Tahoma, Verdana, Sans-serif; }	
		#footer a.mail { text-decoration:none; color:#5e6156; padding-right:15px; background:url('http://dev.altinet.info/altimail-www/img/mail.jpg') 100% 50% no-repeat; }
		#footer a:hover.mail { text-decoration:underline; color:#aebfd0; }
		#footer a:hover.mail span { color:#5e6156; }
		#footer a.alti { text-decoration:none; }
		#footer a.altinet { text-decoration:none; color:#2d567f; }
		#footer a.altinet span { text-decoration:none; color:#00a8d8; }
		
		h3 { letter-spacing: -0.5px; margin:20px 0 15px; font: normal 16px/20px Arial, Tahoma, Verdana, Sans-serif; }
		.line { margin:7px 0; overflow:hidden; }
		.inpt { padding:0 5px; font:normal 11px/26px Arial, Tahoma, Verdana, Sans-serif; height:26px; width:210px; float:left; background:#fcfcf7; border:1px solid #e0dcc6; border-bottom:1px solid #bab7a5; border-right:1px solid #bab7a5; -webkit-border-radius:4px; -moz-border-radius:4px; border-radius:4px; }
		.lbl { width:240px; padding-right:16px; display:block; float:left; text-align:right; cursor:pointer; font:bold 11px/28px Arial, Tahoma, Verdana, Sans-serif; }

		.inpt:hover, .inpt:focus { background:#fff; border:1px solid #aea887; border-bottom:1px solid #63604d; border-right:1px solid #63604d; }
		.ok	{ background:#edfce9; border:1px solid #40852C; color:#40852C; -webkit-border-radius:5px; -moz-border-radius:5px; border-radius:5px; width:958px; text-align:center; line-height:32px; margin-top:5px; margin-bottom:5px; font:normal 14px/32px Arial, Tahoma, Verdana, Sans-serif; }
		.no	{ background:#fcede9; border:1px solid #800000; color:#800000; -webkit-border-radius:5px; -moz-border-radius:5px; border-radius:5px; width:958px; text-align:center; line-height:32px; margin-top:5px; margin-bottom:5px; font:normal 14px/32px Arial, Tahoma, Verdana, Sans-serif; }
		.warn { background:#ffffdd; border:1px solid #cccc00; color:#9d9d00; -webkit-border-radius:5px; -moz-border-radius:5px; border-radius:5px; width:958px; text-align:center; line-height:32px; margin-top:5px; margin-bottom:5px; font:normal 14px/32px Arial, Tahoma, Verdana, Sans-serif; }
		IMG { float:right; vertical-align:middle; margin-right:7px; margin-top:7px; }
		.center { margin-left:21%; width:550px; text-align:center; }
		.formHolder { left:50%; position:relative; float:left; }
		.formInner { right:50%; position:relative; float:left; }
		.buttonHolder { padding:0 0 0 10px; display: block; height: 32px; background: url('http://dev.altinet.info/altimail-www/img/buttonbgLeftSmall.png') 0 0 no-repeat; cursor:pointer; margin-top:8px; text-decoration:none; }
		.button { text-align: center; text-shadow: #7c3b07 1px 1px; font-size: 18px; letter-spacing: -1px; color: #fff; background: url('http://dev.altinet.info/altimail-www/img/buttonbgRightSmall.png') 100% 0 no-repeat; height: 32px; line-height: 32px; display:block; padding:0 30px 0 20px; border:0; margin:0; padding-bottom:4px; }
		.buttonHolder:hover {  background: url('http://dev.altinet.info/altimail-www/img/buttonbgLeftSmall.png') 0 -32px no-repeat; cursor:pointer; color:#fc4219; text-decoration:underline;}
		.buttonHolder:hover .button { background: url('http://dev.altinet.info/altimail-www/img/buttonbgRightSmall.png') 100% -32px no-repeat; cursor:pointer; }
		#tooltip { position: absolute; z-index: 3000; border: 1px solid #02789d; background-color: #eee; padding: 4px 6px; opacity: 0.85; font:normal 11px Arial, Tahoma, Verdana, Sans-serif; border-radius:4px; -webkit-border-radius:4px; -moz-border-radius:4px; }
		#tooltip h3 { margin:0; font:normal 11px Arial, Tahoma, Verdana, Sans-serif; letter-spacing:0; }
		.error { border:1px solid #de2b2b; }
	</style>
	<script type="text/javascript" src="http://dev.altinet.info/altimail-www/js/jquery-1.5.1.min.js"></script>
	<script type="text/javascript" src="http://dev.altinet.info/altimail-www/js/jquery-ui-1.8.10.custom.min.js"></script>
	<script type="text/javascript" src="http://dev.altinet.info/altimail-www/js/jquery.tooltip.js"></script>
	<script type="text/javascript">
		$(function() {
			$(".tooltip").tooltip({
				track: true,
				delay: 0,
				showURL: false,
				fixPNG: true,
				showBody: " - ",
				extraClass: "pretty fancy",
				top: -5,
				left: 10
			});
		});
	</script>
	<script type="text/javascript">
		$(function() { 
			$( "#nextStep" ).click(function() {
				var host 		= $( "#host" ).val();
				var db 			= $( "#db" ).val();
				var user 		= $( "#user" ).val();
				var pass		= $( "#pass" ).val();				
				var kom			= '';
				
				$(".error").removeClass("error");
				var $ok = true;	
				
				if( host == "" ) {
					$( "#host" ).addClass( "error" );
					kom += "Host serwera bazy danych\n";
					$ok = false;
				}
				if( db == "" ) {
					$( "#db" ).addClass( "error" );
					kom += "Nazwa bazy danych\n";
					$ok = false;
				}
				if( user == "" ) {
					$( "#user" ).addClass( "error" );
					kom += "Nazwa użytkownika bazy danych\n";
					$ok = false;
				}
				if( pass == "" ) {
					$( "#pass" ).addClass( "error" );
					kom += "Hasło do bazy danych\n";
					$ok = false;
				}
				
				if( $ok ) {
					$("#form").submit();
				}
				else {
					if (kom != '') {
						kom = "Uzupełnij poprawnie pola:\n\n" + kom;
					}
					alert(kom);
				}		
			});			
		});	
	</script>
	</head>
<body>
<div id="topBg">
	<div id="top">
		<div id="logo">
			<a href="http://dev.altinet.info/altimail-www/" title="altiMail - e-mail marketing">altiMail - e-mail marketing</a>
		</div>
	</div>
</div>	
	<div id="wrapper">
		<div id="container">

<?php
	function PHPInfo2File(){
		ob_start();
		phpinfo();
		$info = ob_get_contents();
		ob_end_clean();
		return $info;
	}

	
		$info = PHPInfo2File();
		$ver = explode("PHP Version ",$info);
		$ver = explode("</h1>",$ver[1]);
		$ver = explode(".",$ver[0]);
		$ok = true;
		if ($ver[0]=='5')
			echo "<div class='ok'>Serwer posiada wymaganą wersję języka PHP 5+ <img src=\"http://dev.altinet.info/altimail-www/img/ok-ico.png\"></div>";
		else
		{
			echo "<div class='no'>Serwer nie posiada wymaganej wersji języka PHP 5+ <img src=\"http://dev.altinet.info/altimail-www/img/no.png\"></div>";
			$ok = false;
		}

		if (function_exists('apache_get_modules'))
		if (array_search('mod_rewrite',  apache_get_modules()))
			echo "<div class='ok'>Serwer posiada wymagane rozszerzenie mod_rewrite <img src=\"http://dev.altinet.info/altimail-www/img/ok-ico.png\"></div>";
		else
		{
			echo "<div class='no'>Serwer nie posiada wymaganego rozszerzenia mod_rewrite <img src=\"http://dev.altinet.info/altimail-www/img/no.png\"></div>";
			$ok = false;
		}
		if ( mcrypt_module_open('rijndael-256', '', 'ctr', ''))
			echo "<div class='ok'>Serwer posiada wymagane rozszerzenie PHP_Mcrypt <img src=\"http://dev.altinet.info/altimail-www/img/ok-ico.png\"></div>";
		else
		{
			echo "<div class='no'>Serwer nie posiada wymaganego rozszerzenia PHP_Mcrypt <img src=\"http://dev.altinet.info/altimail-www/img/no.png\"></div>";
			$ok = false;
		}
		if ( hash('sha256', null, true))
			echo "<div class='ok'>Serwer posiada wymagane rozszerzenie PECL_hash <img src=\"http://dev.altinet.info/altimail-www/img/ok-ico.png\"></div>";
		else
		{
			echo "<div class='no'>Serwer nie posiada wymaganego rozszerzenia PECL_hash <img src=\"http://dev.altinet.info/altimail-www/img/no.png\"></div>";
			$ok = false;
		}
	if (!isset($_POST['install']))
	{
	?>
	<div class="overflow">
		<h3 class="centerText">Wprowadź dane dostępowe do bazy danych, aby sprawdzić dodatkowe parametry serwera:</h3>	
		<div class="formHolder">
			<div class="formInner">	
				<form method="post" id="form">
					<input type="hidden" name="install" value="1" />
					<div class="line"><label for="host" class="lbl">Host serwera bazy danych: </label> <input type="text" name="host" value="" class="inpt tooltip" title="Znajdziesz w dokumentacji rejestracji hostingu, najczęściej jest to: localhost" id="host" /></div>
					<div class="line"><label for="db" class="lbl">Nazwa bazy danych MySQL: </label> <input type="text" name="dbname" value="" class="inpt" id="db"  /></div>
					<div class="line"><label for="user" class="lbl">Nazwa użytkownika bazy danych MySQL: </label> <input type="text" name="user" value="" class="inpt" id="user"  /></div>
					<div class="line"><label for="pass" class="lbl">Hasło do bazy danych MySQL: </label> <input type="password" name="pass" value="" class="inpt" id="pass"  /></div>
					<div class="line"><label>&nbsp;</label><a href="javascript:void(0);" class="buttonHolder right"><span id="nextStep" class="button" />Dalej &rsaquo;</span></a></div>
				</form>
			</div>
		</div>
	</div>
	<?
	}
	else
	{
		if ($_POST['host']=="" || $_POST['host']=="*" || $_POST['host']=="%")
			$_POST['host']="localhost";
		define( 'DB_SERWER', $_POST['host'] ); 
		define( 'DB_USER', $_POST['user'] );
		define( 'DB_HASLO', $_POST['pass'] );
		define( 'DB_NAME', $_POST['dbname'] );
		$ok2 = true;
		if (@mysql_connect(DB_SERWER, DB_USER, DB_HASLO))
		{
			echo "<div class='ok'>Nawiązano połączenie z serwerem MySQL <img src=\"http://dev.altinet.info/altimail-www/img/ok-ico.png\"></div>";
		}
		else
		{
			echo "<div class='no'>Nie nawiązano połączenia z serwerem MySQL <img src=\"http://dev.altinet.info/altimail-www/img/no.png\"></div>";
			$ok2 = false;
		}	
		if (@mysql_select_db(DB_NAME))
		{
			echo "<div class='ok'>Nawiązano połączenie z bazą ".DB_NAME." <img src=\"http://dev.altinet.info/altimail-www/img/ok-ico.png\"></div>";
		}
		else
		{
			echo "<div class='no'>Nie nawiązano połączenia z bazą ".DB_NAME." <img src=\"http://dev.altinet.info/altimail-www/img/no.png\"></div>";
			$ok2 = false;
		}
		
		if ($ok && $ok2)
		{
			echo "<div class='ok'>Serwer spełnia wszystkie wymagania systemu AltiMail <img src=\"http://dev.altinet.info/altimail-www/img/ok-ico.png\"></div>";
		}
		else
		{
			echo "<div class='no'>Serwer nie spełnia wszystkich wymagań systemu AltiMail <img src=\"http://dev.altinet.info/altimail-www/img/no.png\"></div>
				  <div class=\"overflow\"><a href=\"http://dev.altinet.info/altimail-www-nowa/public/test.php\" class=\"buttonHolder left\"><span class=\"button\" />&lsaquo; Wstecz</span></a></div>
			";
		}			

	}
?>
</div>
</div>
<div id="bottomBg">
	<div id="footerMenu">
		<div class="left overflow">
			<span class="holdF"><span class="beige">&copy; 2012 </span><a href="$F_WWWhttp://www.altinet.pl/" class="agency">Altinet Interactive</a></span>	
				<span class="sepFooterMenu"></span>
			<span class="holdF"><span class="beige">jesteśmy po Twojej stronie</span></span>
		</div>
	</div>
</div>

<div id="footerHolder">
	<div id="footer">
		<div class="left">
			<span class="holdF"><span class="beige">telefon: 22</span><span class="beigeDark"> 3000 495</span></span>
			<span class="holdF beige">&bull;</span>
			<span class="holdF"><span class="beige">22</span><span class="beigeDark"> 3000 610</span></span>
			<span class="holdF beige">&bull;</span>
			<span><span class="beige">e-mail: </span><a href="mailto:kontakt@altimail.pl" class="mail"><span>kontakt@altimail.pl</span></a></span>					
		</div>
		<div class="right">
			<span class="grey">Test wymagań serwera dla programu w wersji: <strong>2.18</strong></span>
		</div>
	</div>
</div>
</body>